<template>
    <div class="win">
        <div class="border_corner border_corner_left_top"></div>
        <div class="border_corner border_corner_right_top"></div>
        <div class="border_corner border_corner_left_bottom"></div>
        <div class="border_corner border_corner_right_bottom"></div>
        <ul class="tab">
            <li @click='tabTaggle("Echarts")'>实时数据</li>
            <li @click='tabTaggle("EChartsHour")'>小时数据</li>
            <li @click='tabTaggle("EChartsDate")'>日数据</li>
            <li @click='tabTaggle("ECharts")'>人工数据</li>
            <div id="title" >
                <span><strong> &nbsp; </strong></span>
                <span >正常</span>
                <span ></span>
                <span >预警</span>
                <span ></span>
                <span >超标</span>
                <span ></span>
            </div>
        </ul>
        <component :is="currentTab" v-bind="$attrs"></component>
    </div>
</template>

<script>
import EChartsHour from './EChartsHour'
import EChartsDate from './EChartsDate'
import Echarts from '@components/BaseNav/PublicBounced/GasComponents/Echarts'

export default {
  name: 'PublicChart',
  components: {
    EChartsHour,
    EChartsDate,
    Echarts
  },
  data () {
    return {
      currentTab: 'EChartsHour'
    }
  },
  methods: {
    tabTaggle (taggleMenu) {
      this.currentTab = taggleMenu
      // debugger
    }
  }
}

</script>

<style scoped>
* {
  margin: 0;
  padding: 0;
  list-style: none;
}

.win {
  position: relative;
  /*margin-bottom: 13px;*/
  background-color: rgba(33, 41, 69, 0.9);
  border: 0.8px solid #396d83;
  /*height: 1.5rem;*/
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1.5px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}

.tab {
  display: flex;
  border-bottom: 1px solid #396d83;
  margin-bottom: 10px;
}

li {
  background-color: #243a55;
  margin: 10px 10px 2px 10px;
  /*padding: 5px 10px;*/
  width: 90px;
  height: 25px;
  line-height: 25px;
  text-align: center;
  border-radius: 5px;
}

ul li:hover {
  background-color: #0e639e;
  color: #682000;
  cursor: pointer;
}
#title{
    height: 30px;
    /* margin-top: 30px; */
    color: #ffffff;
    margin-top: 5px;
}

#title span:nth-child(1){
    /*margin-left: 478px*/
}
#title span:nth-child(2){
    /*margin-left: 177px*/
}
#title span:nth-child(3){
    display: inline-block;
    background-color: #4ec99c;
    height: 15px;
    width: 35px;
    margin-left: 10px;
    border-radius: 5px;
}
#title span:nth-child(6){
    /*margin-left: 21px*/
}
#title span:nth-child(7){
    display: inline-block;
    background-color: red;
    height: 15px;
    width: 35px;
    margin-left: 7px;
    border-radius: 5px;
}
#title span:nth-child(4){
    margin-left: 17px;
}
#title span:nth-child(5){
    display: inline-block;
    background-color: orange;
    height: 15px;
    width: 35px;
    margin-left: 9px;
    border-radius: 5px;
}
</style>
